Skip to main content

Registration & Grid API

info

You may send parameters as either POST form_data, or as Query parameters on the URL.

tip

All APIs require you send three additional POST parameters - adminname, adminpwd,and gridid, these should be the username, and password of an account on the Grid with administrator rights, along with the grid you wish to interface with. We recommend creating a new user for this role specifically.

User Management APIs

Register User

POST https://sine.space/worldapi/externalapi/add_user

This endpoint allows you to register new users automatically.

Query Parameters

NameTypeDescription
grididintegerThe unique grid ID to register the user on.
passwordstringThe users initial password
emailstringThe users email address. We will not send any messages to this address unless requested by the user (e.g. password reset)
usernamestringThe desired username for the user
playeroutfitidintegerThe "Outfit ID" the user should be wearing when they first log in. As this creates 'free' copies of items that may be paid items in our marketplace, the creator of the items must be an administrator of the grid in question.
<?xml version="1.0" encoding="utf-8"?>
<AddUserResponse><UserID>2099396</UserID></AddUserResponse>

Delete User

POST https://sine.space/worldapi/externalapi/delete_user

Deletes or disables a user account

Path Parameters

NameTypeDescription
useridintegerThe user ID associated with this user.
<?xml version="1.0" encoding="utf-8"?>
<Response><code>1</code><message></message></Response>

Update User

POST https://sine.space/worldapi/externalapi/update_user

Changes information about a user account

Query Parameters

NameTypeDescription
useridintegerThe user ID associated with this user.
emailstringUpdates the users email address
passwordstringUpdates the users password
<?xml version="1.0" encoding="utf-8"?>
<Response><code>1</code><message></message></Response>

Get Users

POST https://sine.space/worldapi/externalapi/get_users

Returns a bulk list of users associated with the Grid

Query Parameters

NameTypeDescription
useridsstringA comma separated list of user IDs you are interested in information about.
offsetintegerThe query will return a maximum of 100 records, if more are available, use 'offset' to return past this point.
<?xml version="1.0" encoding="utf-8"?>
<GetUsersResponse><Users><UserID>2099560</UserID><UserName>username</UserName><Email>username@test1.com</Email><Gender>M</Gender></Users><Users><UserID>2099559</UserID><UserName>username2</UserName><Email>username2@test1.com</Email><Gender>F</Gender></Users></GetUsersResponse>

Get User By Email

POST https://sine.space/worldapi/externalapi/get_user_by_email

Retrieves information about an individual user via their email address

Query Parameters

NameTypeDescription
emailstringThe email address associated with the account
<?xml version="1.0" encoding="utf-8"?>
<GetUserResponse><UserID>2099560</UserID><UserName>username</UserName><Email>username@test1.com</Email><Gender>M</Gender></GetUserResponse>

Update Login Region

POST https://sine.space/worldapi/externalapi/update_login_region

Updates the user, sets their login scene to the specified ID.

Query Parameters

NameTypeDescription
useridintegerThe user to updates user ID
regionidintegerThe scene to make as their login scene. Set to zero to return to grid default.
<?xml version="1.0" encoding="utf-8"?>
<Response><code>1</code><message></message></Response>

Region APIs

Create Region

POST https://sine.space/worldapi/externalapi/create_region

Creates a new region on the grid

Query Parameters

NameTypeDescription
ownerintegerThe user ID to be marked as owner of the region
templateidintegerThe item ID for the region template to use
accesslevelintegerEither "0" for no access, "1" for free-for-all access, "2" for friends-only access, and "3" for approved only access.
regionnamestringThe name of the region you wish to create
<?xml version="1.0" encoding="utf-8"?>
<CreateRegionResponse><RegionID>152860</RegionID></CreateRegionResponse>

Set Region Role

POST https://sine.space/worldapi/externalapi/set_region_role

Query Parameters

NameTypeDescription
regionidintegerThe ID of the region
useridintegerThe ID of the user in question
rolestringEither "Normal", "Admin", or "Blocked".
<?xml version="1.0" encoding="utf-8"?>
<Response><code>1</code><message></message></Response>

Get Regions

POST https://sine.space/worldapi/externalapi/get_regions

Requests a list of regions on the Grid

Query Parameters

NameTypeDescription
offsetintegerOffsets the results if there is too many to return in a single query.
ownerintegerReturn regions owned by this account
regionidsstringA CSV separated list of region IDs to return information about.
<?xml version="1.0" encoding="utf-8"?>
<GetRegionsResponse><Regions><RegionID>50000040</RegionID><RegionName>regionname</RegionName><Owner>2099564</Owner><TemplateID>11</TemplateID><AccessLevel>3</AccessLevel></Regions><Regions><RegionID>50000039</RegionID><RegionName>regionname2</RegionName><Owner>2099563</Owner><TemplateID>11</TemplateID><AccessLevel>1</AccessLevel></Regions><GetRegionsResponse>

Update Region

POST https://sine.space/worldapi/externalapi/update_region

Updates information about a particular region

Query Parameters

NameTypeDescription
regionidintegerThe region ID to update information about
regionnamestringIf present, changes the name of the region
templateidintegerIf present, changes the template of the region to the specified template ID
accesslevelintegerEither "0" - no access, "1" - free access, "2" friends-only access, and "3" approved only access.
<?xml version="1.0" encoding="utf-8"?>
<Response><code>1</code><message></message></Response>